Bug 842775 - upgrade from engine failing due to grub2 support
upgrade from engine failing due to grub2 support
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Depends On:
  Show dependency treegraph
Reported: 2012-07-24 11:02 EDT by Joey Boggs
Modified: 2013-01-25 04:15 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 843076 (view as bug list)
Last Closed: 2013-01-25 04:15:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joey Boggs 2012-07-24 11:02:11 EDT
upgrading from engine will fail to complete the upgrade due to missing grub2 support in ovirt-config-boot. Solution is to change upgrade process to use the newer python scripts from ovirtnode

assuming the iso is mounted at /live all you need to do is:

from ovirtnode.install import *
install = Install()
Comment 1 Juan Hernández 2012-07-24 11:05:27 EDT
The problem appears when trying to update the node from the engine. This invokes the /usr/share/vdsm-reg/vdsm-upgrade script, and this calls /usr/libexec/ovirt-config-boot passing the mount point of the .iso as the first parameter. The result is the following:

[root@h0 admin]# /usr/share/vdsm-reg/vdsm-upgrade
<BSTRAP component='setMountPoint' status='OK' message='Mount succeeded.'/>
<BSTRAP component='doUpgrade' status='FAIL' message='boot loader install
failed. '/>
<BSTRAP component='umount' status='OK' message='umount Succeeded'/>
<BSTRAP component='RHEV_INSTALL' status='FAIL'/>
Comment 2 Douglas Schilling Landgraf 2012-08-09 16:50:00 EDT
Based on Joey's comment:

Note You need to log in before you can comment on or make changes to this bug.